<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Contacto </title>

    <!--Importacion de Bootrap-->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <!--Importacion deestilos propios-->
    <link rel="stylesheet" href="../styles/static/index.css">
</head>

<body>

    <!--Barra de navegacion-->
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarTogglerDemo03" aria-controls="navbarTogglerDemo03" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <a class="navbar-brand" href="#"> <img src="../img/icons/beauty.png" width="64" height="64" /> Helena</a>

        <div class="collapse navbar-collapse" id="navbarTogglerDemo03">
            <ul class="navbar-nav mr-auto mt-2 mt-lg-0">
                <li class="nav-item ">
                    <a class="nav-link" href="../index.html">Inico <span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="galeria.html">Galeria </a>
                </li>
                <li class="nav-item active">
                    <a class="nav-link" href="contacto.html">Contacto <span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="agenda.html">Agenda</a>
                </li>
            </ul>
        </div>
    </nav>

    <!--Contenido de la página-->
    <div class="container">
        <div class="container">
            <h1>Contactate con nosotros</h1>
            <form>
                <div class="form-group">
                    <label for="correo">Correo Electronico</label>
                    <input type="email" class="form-control" id="correo" aria-describedby="emailHelp" placeholder="Ingrese Correo">
                    <small id="emailHelp" class="form-text text-muted">Nunca compartiremos tu correo con nadie</small>
                    <p id="alerta-correo" style="color: red"></p>
                </div>
                <div class="form-group">
                    <label for="nombre">Nombre</label>
                    <input type="text" class="form-control" id="nombre" placeholder="Ingrese nombre">
                    <p id="alerta-nombre" style="color: red"></p>
                </div>
                <div class="form-group">
                    <label for="numero-telefono">Numero de telefono</label>
                    <input type="number" class="form-control" id="numero-telefono" placeholder="Ingrese su numero">
                    <p id="alerta-numero-telefono" style="color: red"></p>
                </div>
                <button onclick="enviarFormulario()" type="button" class="btn btn-primary" style="background-color: blueviolet;">Enviar</button>
            </form>
        </div>
    </div>
    <!--Imporacion de Javascript Bootstrap-->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.14.7/dist/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
    <!--Importacion de Javascript-->
    <script src="src/index.js"></script>
</body>

</html>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.14.7/dist/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
    <!--Importacion de Javascript-->
    <script src="src/index.js"></script>
</body>

</html>

<script>

    function enviarFormulario(){
        let correoInput = document.getElementById('correo')
    let nombreInput = document.getElementById('nombre')
    let numeroInput = document.getElementById('numero-telefono')

    if (!correoInput.value) {
        let alertaCorreo = document.getElementById('alerta-correo')
        alertaCorreo.innerText = "El correo no puede estar vacio"
    }
    if (!nombreInput.value) {
        let alertaNombre = document.getElementById('alerta-nombre')
        alertaNombre.innerText = "El nombre no puede estar vacio"
    }
    if (!numeroInput.value) {
        let alertaTelefono = document.getElementById('alerta-numero-telefono')
        alertaTelefono.innerText = "El numero de telefono no puede estar vacio"
    }
    
    alert(`Sus datos de contacto son:
            ${correoInput.value}
            ${nombreInput.value}
            ${numeroInput.value}
    `)
    }
    
</script>
